; Affichage de sprites toujours alignes (donc arrondis en dessous).
; ix = le sprite a afficher
; a = x
; e = y
DRAW_SPRITE_ALIGNE:

	; y * 12
	ld	hl, 0
	ld	d, 0
	add	hl, de	; 1
	add	hl, de	; 2
	add	hl, de	; 3
	add	hl, hl	; 6
	add	hl, hl	; 12
	
	; x / 8
	ld	d, 0
	ld	e, a
	srl	e	; / 2
	srl	e	; / 4
	srl	e	; / 8
	add	hl, de

	; A present on a le decalage dans hl
	ld	de, PLOTSSCREEN	; Prendre le debut du graphbuffer
	add	hl, de		; Puis ajouter le decalage

dsa_aligne:
	ld	b, 8	; Sprite 8 de hauteur
dsa_aligne_loop:
	push	bc
	ld	a, (ix)
	ld	(hl), a
	ld	de, 12
	add	hl, de 
	inc	ix
	pop	bc
	djnz	dsa_aligne_loop

	ret
	
