
SCROLL_RIGHT:
	ld      hl, buffer + 12
	ld	b, 64

scroll_lines:
	push	bc
	
	ld	b, 12
	ld	a, (hl)
	sla	a	
	ld	(hl), a
scroll:
	push	bc
	dec	hl	
	ld	a, (hl)
	rl	a
	ld	(hl), a
	pop	bc
	djnz	scroll

	ld	de, 25
	add	hl, de

	pop	bc
	djnz	scroll_lines

	ret


SCROLL_LEFT:
	ld      hl, buffer
	ld	b, 64

sl_scroll_lines:
	push	bc
	
	ld	b, 12
	ld	a, (hl)
	srl	a	
	ld	(hl), a
sl_scroll:
	push	bc
	inc	hl	
	ld	a, (hl)
	rra	
	ld	(hl), a
	pop	bc
	djnz	sl_scroll

	inc	hl

	pop	bc
	djnz	sl_scroll_lines

	ret


RAW_COPY:
	ld	hl, buffer
	ld	de, plotsscreen
	ld	bc, 64 * 12
	ldir
	ret

; Copier dans le buffer plotsscreen que la partie visible du buffer
COPY_BUFFER_INTO_PLOTSSCREEN:
	; Init
	di
	ld	hl, buffer	; Decalage dans le buffer (qui est plus grand) 
	ld	de, plotsscreen
	ld	b, 64
cipb_loop:
	push	bc
	ld	bc, 12
	ldir
	inc	hl
	pop	bc
	djnz	cipb_loop	

	ret
